commit: 9930523f719b09eff69ff9092005ed04d11bccb9
Author: Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 13 09:22:04 2020 +0000
Commit: Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Thu Aug 13 09:23:41 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9930523f
dev-perl/Email-Send-Gmail: -r bump for EAPI7 + fixes
- EAPI7
- Improve deps
- Unconditionally strip harmful pod tests and resulting deps
- Add custom logic to give basic "module has basic usability" test
coverage.
Package-Manager: Portage-2.3.103, Repoman-2.3.22
Signed-off-by: Kent Fredric <kentnl <AT> gentoo.org>
.../Email-Send-Gmail-0.330.0-r1.ebuild | 47 ++++++++++++++++++++++
1 file changed, 47 insertions(+)
diff --git a/dev-perl/Email-Send-Gmail/Email-Send-Gmail-0.330.0-r1.ebuild
b/dev-perl/Email-Send-Gmail/Email-Send-Gmail-0.330.0-r1.ebuild
new file mode 100644
index 00000000000..e8de8568426
--- /dev/null
+++ b/dev-perl/Email-Send-Gmail/Email-Send-Gmail-0.330.0-r1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DIST_AUTHOR=LBROCARD
+DIST_VERSION=0.33
+inherit perl-module
+
+DESCRIPTION="Send Messages using Gmail"
+
+SLOT="0"
+KEYWORDS="~amd64 ~mips ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-perl/Authen-SASL
+ dev-perl/Email-Address
+ dev-perl/Email-Send
+ dev-perl/Net-SMTP-SSL
+"
+BDEPEND="${RDEPEND}"
+
+PERL_RM_FILES=(
+ "t/pod.t"
+)
+src_test() {
+ local MODULES=(
+ "Email::Send::Gmail ${DIST_VERSION}"
+ )
+ local failed=()
+ for dep in "${MODULES[@]}"; do
+ ebegin "Compile testing ${dep}"
+ perl -Mblib="${S}/blib" -M"${dep} ()" -e1
+ eend $? || failed+=( "${dep}" )
+ done
+ if [[ ${failed[@]} ]]; then
+ echo
+ eerror "One or more modules failed compile:";
+ for dep in $"{failed[@]}"; do
+ eerror " ${dep}"
+ done
+ die "Failing due to module compliation errors";
+ fi
+ perl-module_src_test
+}